---
title: unifi
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.unifi) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.unifi?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.unifi) [![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/ansible/xoxys.unifi/src/branch/main/LICENSE)

Setup a [Unifi Controller](https://www.ui.com/software/). The UniFi platform is an end-to-end system of network devices across different locations — all controlled from a single interface.

<!--more-->

- [Default Variables](#default-variables)
  - [unifi_base_dir](#unifi_base_dir)
  - [unifi_group](#unifi_group)
  - [unifi_openjdk_version](#unifi_openjdk_version)
  - [unifi_restore_after_upgrade](#unifi_restore_after_upgrade)
  - [unifi_tls_cert_file](#unifi_tls_cert_file)
  - [unifi_tls_cert_source](#unifi_tls_cert_source)
  - [unifi_tls_certs_dir](#unifi_tls_certs_dir)
  - [unifi_tls_enabled](#unifi_tls_enabled)
  - [unifi_tls_key_dir](#unifi_tls_key_dir)
  - [unifi_tls_key_file](#unifi_tls_key_file)
  - [unifi_tls_key_source](#unifi_tls_key_source)
  - [unifi_tls_pkcs12_passphrase](#unifi_tls_pkcs12_passphrase)
  - [unifi_tmp_dir](#unifi_tmp_dir)
  - [unifi_user](#unifi_user)
  - [unifi_version](#unifi_version)
- [Discovered Tags](#discovered-tags)
- [Dependencies](#dependencies)

---

## Default Variables

### unifi_base_dir

#### Default value

```YAML
unifi_base_dir: /opt/unifi
```

### unifi_group

#### Default value

```YAML
unifi_group: ubnt
```

### unifi_openjdk_version

#### Default value

```YAML
unifi_openjdk_version: 11
```

### unifi_restore_after_upgrade

#### Default value

```YAML
unifi_restore_after_upgrade: false
```

### unifi_tls_cert_file

#### Default value

```YAML
unifi_tls_cert_file: '{{ unifi_tls_certs_dir }}/mycert.pem'
```

### unifi_tls_cert_source

#### Default value

```YAML
unifi_tls_cert_source: mycert.pem
```

### unifi_tls_certs_dir

#### Default value

```YAML
unifi_tls_certs_dir: '{{ unifi_base_dir }}/tls/certs'
```

### unifi_tls_enabled

#### Default value

```YAML
unifi_tls_enabled: false
```

### unifi_tls_key_dir

#### Default value

```YAML
unifi_tls_key_dir: '{{ unifi_base_dir }}/tls/private'
```

### unifi_tls_key_file

#### Default value

```YAML
unifi_tls_key_file: '{{ unifi_tls_key_dir }}/mykey.pem'
```

### unifi_tls_key_source

#### Default value

```YAML
unifi_tls_key_source: mykey.pem
```

### unifi_tls_pkcs12_passphrase

#### Default value

```YAML
unifi_tls_pkcs12_passphrase: temppass
```

### unifi_tmp_dir

#### Default value

```YAML
unifi_tmp_dir: '{{ unifi_base_dir }}/tmp'
```

### unifi_user

#### Default value

```YAML
unifi_user: ubnt
```

### unifi_version

#### Default value

```YAML
unifi_version: 7.3.76
```

## Discovered Tags

tls_renewal
: &nbsp;


## Dependencies

None.
